## org.biojava.bio.seq.io.agave
Class AGAVEXrefs

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVEXrefs

public class AGAVEXrefs
extends java.lang.Object

* xrefs * * @author Hanning Ni Doubletwist Inc * @author Greg Cox

Constructor Summary
`AGAVEXrefs()`

Method Summary
`void` `addDbId(AGAVEDbId id)` add @param id
`void` `addXref(AGAVEXref xref)` add @param xref
`java.util.Iterator` `getDbIds()` return a set of DbId
`java.util.Iterator` `getXrefs()` return a set of AGAVEXref
`java.lang.String` `toString()` the agave xml representation of xrefs
`java.lang.String` `toString(java.lang.String indent, java.lang.String indent_unit)` * @param indent the leading space * @param indent_unit the unit of indenting for xml format *

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AGAVEXrefs

    public AGAVEXrefs()

Method Detail

### addDbId

    public void addDbId(AGAVEDbId id)

  add @param id

### addXref

    public void addXref(AGAVEXref xref)

  add @param xref

### getDbIds

    public java.util.Iterator getDbIds()

  return a set of DbId

### getXrefs

    public java.util.Iterator getXrefs()

  return a set of AGAVEXref

### toString

    public java.lang.String toString(java.lang.String indent,
                                     java.lang.String indent_unit)

  * @param indent the leading space * @param indent_unit the unit of indenting for xml format *

### toString

    public java.lang.String toString()

  the agave xml representation of xrefs